global:
  scrape_interval: 15s
  evaluation_interval: 15s

alerting:
  alertmanagers:
  - static_configs:
    - targets:

scrape_configs:
  - job_name: "prometheus"
    static_configs:
    - targets: ["localhost:{{ prometheus_bind_port }}"]
{% for item in groups['exporters'] %}
  - job_name: "{{ item }}"
    static_configs:
    - targets: ["{{ hostvars[item].ansible_host }}:{{ hostvars[item].exporter_port }}"]
{% endfor %}
